# vim: set sw=4 ts=4 et:

Name:           vdpau-video
Version:        0.7.3
Release:        5.3
License:        MIT
Summary:        VDPAU DRI Driver Interface to NVidia
Url:            http://www.splitted-desktop.com/~gbeauchesne/
Group:          System/Libraries
# http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/vdpau-video-%{version}.tar.gz
Source:         vdpau-video-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  Mesa-devel
Provides:       vdpau-video-nvidia = %{version}
Obsoletes:      vdpau-video-nvidia < %{version}

%description
VDPAU Driver Bridge for NVidia Binary blob driver

%prep
%setup -q

%build
autoreconf -v --install
%configure
%__make %{?_smp_flags}

%install
%__make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print
# We do want real driver file names, not links to fully generic name that will conflict every so often
cp --remove-destination %{buildroot}%{_libdir}/dri/vdpau_drv_video.so %{buildroot}%{_libdir}/dri/nvidia_drv_video.so
cp --remove-destination %{buildroot}%{_libdir}/dri/vdpau_drv_video.so %{buildroot}%{_libdir}/dri/s3g_drv_video.so
rm %{buildroot}%{_libdir}/dri/vdpau_drv_video.so

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%{_libdir}/dri/nvidia_drv_video.so
%{_libdir}/dri/s3g_drv_video.so

%changelog
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- update to 0.7.3
- renamed packae to vdpau-video
* Sun Feb 13 2011 dominique-vlc.suse@leuenberger.net
- BuildRequire pkgconfig instead of pkg-config (Fedora Compatible)
* Sat Nov  6 2010 dominique-vlc.suse@leuenberger.net
- BuildRequire Mesa-devel.
* Sun Aug 15 2010 dominique-vlc.suse@leuenberger.net
- Change the sds detection patch: libva 1.0.4 identifies itself
  as high enough to fail the test, resulting the init function
  being named _sds again in vdpau. libva does not require _Sds
  though.
* Tue Aug  3 2010 dominique-vlc.suse@leuenberger.net
- Update to version 0.6.10.
* Sat Jun 12 2010 dominique-vlc.suse@leuenberger.net
- Initial package of nvidia vdpau driver for nvidia.
